Support » Plugin: NinjaFirewall (WP Edition) » Php 7 – SG OPtimizer Siteground – Testing

  • Resolved itsbutter

    (@itsbutter)


    This is just a head’s up. Siteground offers a plugin SG Optimizer that runs a Php 7 compatibility check and returns these error messages for WP edition before a move to Php 7

    —-

    ————————————————————————————————–

    FILE: /-/-/-/wp-content/plugins/ninjafirewall/lib/firewall.php
    ————————————————————————————————————————————–
    FOUND 12 ERRORS AFFECTING 12 LINES
    ————————————————————————————————————————————–
    358 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    359 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    364 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    372 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    594 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    608 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    609 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    612 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    682 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    683 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    684 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    686 | ERROR | Global variable ‘$HTTP_RAW_POST_DATA’ is deprecated since PHP 5.6 and removed since PHP 7.0 – use php://input instead.
    ————————————————————————————————————————————–

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author nintechnet

    (@nintechnet)

    Hi

    You can safely ignore this warning. It is fully compatible with PHP 7.
    The $HTTP_RAW_POST_DATA is created by NinjaFirewall just for backward compatibility (i.e., PHP 5.3 to 5.5). Your script recommends to use php://input, but that is exactly what NinjaFirewall does!

    itsbutter

    (@itsbutter)

    Thanks! You guys are great. I’m a php noob so I appreciate this explanation!

    Have a great day/evening.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.